FUNCTION::SPRINT_BAC(3stap)

NAME
function::sprint_backtrace - Return stack back trace as string

SYNOPSIS

    sprint_backtrace:string()

ARGUMENTS

None

DESCRIPTION

Returns a simple (kernel) backtrace. One line per address. Includes the symbol name (or hex address if symbol couldn't be resolved) and module name (if found). Includes the offset from the start of the function if found, otherwise the offset will be added to the module (if found, between brackets). Returns the backtrace as string (each line terminated by a newline character). Note that the returned stack will be truncated to MAXSTRINGLEN, to print fuller and richer stacks use print_backtrace. Equivalent to sprint_stack(backtrace), but more efficient (no need to translate between hex strings and final backtrace string).

SEE ALSO
tapset::context-unwind(3stap)